org.apache.lucene.queryparser.flexible.standard.config

## Class NumericFieldConfigListener

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.standard.config.NumericFieldConfigListener

- All Implemented Interfaces:
    FieldConfigListener

      public class NumericFieldConfigListener
      extends Object
      implements FieldConfigListener

  This listener is used to listen to `FieldConfig` requests in `QueryConfigHandler` and add `StandardQueryConfigHandler.ConfigurationKeys.NUMERIC_CONFIG` based on the `StandardQueryConfigHandler.ConfigurationKeys.NUMERIC_CONFIG_MAP` set in the `QueryConfigHandler`.
  See Also:
    `NumericConfig`, `QueryConfigHandler`, `StandardQueryConfigHandler.ConfigurationKeys.NUMERIC_CONFIG`, `StandardQueryConfigHandler.ConfigurationKeys.NUMERIC_CONFIG_MAP`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumericFieldConfigListener(QueryConfigHandler config)` Construcs a `NumericFieldConfigListener` object using the given `QueryConfigHandler`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildFieldConfig(FieldConfig fieldConfig)` This method is called ever time a field configuration is requested.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NumericFieldConfigListener

          public NumericFieldConfigListener(QueryConfigHandler config)

      Construcs a `NumericFieldConfigListener` object using the given `QueryConfigHandler`.
      Parameters:
        `config` - the `QueryConfigHandler` it will listen too

  - ### Method Detail

    - #### buildFieldConfig

          public void buildFieldConfig(FieldConfig fieldConfig)

      Description copied from interface: `FieldConfigListener`
      This method is called ever time a field configuration is requested.
      Specified by:
        `buildFieldConfig` in interface `FieldConfigListener`
      Parameters:
        `fieldConfig` - the field configuration requested, should never be null

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.